> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update appointment settings

> Validated fields in the request body are merged into the current stored configuration for this category.



## OpenAPI

````yaml put /v1/settings/appointment
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: >-
    Flextell REST API referansı. Kimlik doğrulama, scope ve istek kuralları için
    API sekmesindeki rehberlere bakın.
servers:
  - url: https://app.flextell.ai/api
    description: Üretim
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/settings/appointment:
    put:
      tags:
        - Settings
      summary: Update appointment settings
      description: >-
        Validated fields in the request body are merged into the current stored
        configuration for this category.
      operationId: settings.updateAppointment
      parameters:
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppointmentSettingsUpdateRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    type: object
                    properties:
                      prefix:
                        type: string
                        const: appointment
                      settings:
                        type: array
                        items: {}
                    required:
                      - prefix
                      - settings
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AppointmentSettingsUpdateRequest:
      type: object
      properties:
        appointments:
          type: object
          description: The appointments.
          properties:
            creation_limit:
              type:
                - integer
                - 'null'
              description: The appointments.creation limit.
              minimum: 1
            monthly_creation_limit:
              type:
                - integer
                - 'null'
              description: The appointments.monthly creation limit.
              minimum: 1
            slot_duration:
              type:
                - integer
                - 'null'
              description: The appointments.slot duration.
              minimum: 5
            suggested_step_minutes:
              type:
                - integer
                - 'null'
              description: The step in minutes between suggested appointment start times.
              minimum: 5
            max_future_days:
              type:
                - integer
                - 'null'
              description: The appointments.max future days.
              minimum: 1
            close_on_public_holidays:
              type: boolean
              description: >-
                Whether booking is closed during public holiday hours (AI and
                manual booking). Defaults to true.
            reschedule_confirmation_window_days:
              type:
                - integer
                - 'null'
              description: >-
                Days (1-30) a slot proposed by a bulk reschedule stays reserved
                for the patient's confirmation. Null resets it to the default
                (3).
              minimum: 1
              maximum: 30
        notifications:
          type: object
          description: The notifications.
          properties:
            send_on_create:
              type:
                - boolean
                - 'null'
              description: >-
                The notifications.send on create (default of the "send info
                message" toggle when creating an appointment).
            send_on_update:
              type:
                - boolean
                - 'null'
              description: >-
                The notifications.send on update (default of the "send info
                message" toggle when updating an appointment).
            default_channel_id:
              type:
                - integer
                - 'null'
              description: >-
                The notifications.default channel id (fallback channel for
                appointment info messages when the customer has no conversation
                and no default channel).
      title: AppointmentSettingsUpdateRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.